<nav class="rui-navbar">
  <!-- First menu. They shrink to a dropdown on small screens -->
  <div class="rui-navbar__menu">
    <div class="rui-navbar-menu">
      <!-- Trigger on small screens -->
      <div class="rui-navbar-menu__trigger">
        <!-- Use an icon instead -->
        <span>Menu</span>
        <span>▾</span>
      </div>
      <!-- Menu content -->
      <div class="rui-menu rui-navbar-menu__content">
        <a href="#/" class="rui-menu-item">Home</a>
      </div>
    </div>
  </div>

  <!-- Page title -->
  <div class="rui-navbar__title-wrapper">
    <!-- Optional link to another page -->
    <a href="#/" class="rui-button rui-navbar__title-wrapper__action">&lt; Back</a>

    <div class="rui-navbar__title-wrapper__content">Page title</div>
  </div>

  <!--
  Second menu; pulled to the right

  If not using the page title, you want this to be pulled on the right, maybe.
  Use the "-flex--grow -justify-content-end" classes to do so.
  -->
  <div class="rui-navbar__menu">
    <div class="rui-navbar-menu">
      <div class="rui-navbar-menu__trigger">
        <span>You...</span>
        <span>▾</span>
      </div>
      <div class="rui-menu rui-navbar-menu__content">
        <a class="rui-menu-item" href="#">Account</a>
        <a class="rui-menu-item" href="#">Logout</a>
      </div>
    </div>
  </div>

  <!-- More menus, buttons, toolbars, etc... -->
</nav>
